Class Iti55DeferredResponseProducer
java.lang.Object
org.apache.camel.support.service.BaseService
org.apache.camel.support.service.ServiceSupport
org.apache.camel.support.DefaultProducer
org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration,String,String>
org.openehealth.ipf.platform.camel.ihe.hl7v3.iti55.deferredresponse.Iti55DeferredResponseProducer
- All Implemented Interfaces:
AutoCloseable,EndpointAware,IsSingleton,Processor,Producer,Service,ShutdownableService,StatefulService,SuspendableService
public class Iti55DeferredResponseProducer
extends AbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration,String,String>
- Author:
- Dmytro Rud
-
Field Summary
Fields inherited from class org.apache.camel.support.service.BaseService
BUILT, FAILED, INITIALIZED, INITIALIZING, lock, NEW, SHUTDOWN, SHUTTING_DOWN, STARTED, STARTING, status, STOPPED, STOPPING, SUSPENDED, SUSPENDING -
Constructor Summary
ConstructorsConstructorDescriptionIti55DeferredResponseProducer(AbstractWsEndpoint<Hl7v3AuditDataset, Hl7v3WsTransactionConfiguration> endpoint, JaxWsClientFactory<Hl7v3AuditDataset> clientFactory) -
Method Summary
Modifier and TypeMethodDescriptionprotected StringcallService(Object client, String responseString) Sends the given request body to a Web Service via the given client proxy.protected voidenrichRequestContext(Exchange exchange, org.apache.cxf.jaxws.context.WrappedMessageContext requestContext) Enriches the given Web Service request context on the basis of the given Camel exchange, and vice versa.Methods inherited from class org.openehealth.ipf.platform.camel.ihe.ws.AbstractWsProducer
cleanRequestContext, configureClient, enrichResponseMessage, getAlternativeRequestKeys, getEndpoint, getRequestClass, getResponseClass, getWsTransactionConfiguration, processMethods inherited from class org.apache.camel.support.DefaultProducer
createExchange, doStart, doStop, isSingleton, toStringMethods inherited from class org.apache.camel.support.service.BaseService
build, doBuild, doFail, doInit, doLifecycleChange, doResume, doShutdown, doSuspend, fail, getInternalLock, getStatus, init, isBuild, isInit, isNew, isRunAllowed, isShutdown, isStarted, isStarting, isStartingOrStarted, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, isSuspendingOrSuspended, resume, shutdown, start, stop, suspendMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, waitMethods inherited from interface org.apache.camel.ShutdownableService
shutdownMethods inherited from interface org.apache.camel.StatefulService
getStatus, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isSuspendingMethods inherited from interface org.apache.camel.SuspendableService
isSuspended, resume, suspend
-
Constructor Details
-
Iti55DeferredResponseProducer
public Iti55DeferredResponseProducer(AbstractWsEndpoint<Hl7v3AuditDataset, Hl7v3WsTransactionConfiguration> endpoint, JaxWsClientFactory<Hl7v3AuditDataset> clientFactory)
-
-
Method Details
-
enrichRequestContext
protected void enrichRequestContext(Exchange exchange, org.apache.cxf.jaxws.context.WrappedMessageContext requestContext) Description copied from class:AbstractWsProducerEnriches the given Web Service request context on the basis of the given Camel exchange, and vice versa.- Overrides:
enrichRequestContextin classAbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration, String, String>
-
callService
Description copied from class:AbstractWsProducerSends the given request body to a Web Service via the given client proxy.- Specified by:
callServicein classAbstractWsProducer<Hl7v3AuditDataset,Hl7v3WsTransactionConfiguration, String, String>
-